From 756886e59afddd09fa6f87ab95af7292ebca3e76 Mon Sep 17 00:00:00 2001
From: Bertrand Drouvot <bertranddrouvot.pg@gmail.com>
Date: Tue, 30 Jan 2024 14:48:16 +0000
Subject: [PATCH v1] Documentation: warn about two_phase when altering a
 subscription's slot name.

776621a5e4 added a warning about the newly failover option. Doing the same
for the already existing two_phase one.
---
 doc/src/sgml/ref/alter_subscription.sgml | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)
 100.0% doc/src/sgml/ref/

diff --git a/doc/src/sgml/ref/alter_subscription.sgml b/doc/src/sgml/ref/alter_subscription.sgml
index e9e6d9d74a..cd553f6312 100644
--- a/doc/src/sgml/ref/alter_subscription.sgml
+++ b/doc/src/sgml/ref/alter_subscription.sgml
@@ -235,15 +235,17 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
      <para>
       When altering the
       <link linkend="sql-createsubscription-params-with-slot-name"><literal>slot_name</literal></link>,
-      the <literal>failover</literal> property value of the named slot may differ from the
+      the <literal>failover</literal> and <literal>two_phase</literal> properties
+      values of the named slot may differ from their counterparts
       <link linkend="sql-createsubscription-params-with-failover"><literal>failover</literal></link>
-      parameter specified in the subscription. When creating the slot,
-      ensure the slot <literal>failover</literal> property matches the
+      and <link linkend="sql-createsubscription-params-with-two-phase"><literal>two_phase</literal></link>
+      parameters specified in the subscription. When creating the slot, ensure
+      the slot <literal>failover</literal> and <literal>two_phase</literal>
+      properties match their counterparts parameters values of the subscription.
+      Otherwise, the slot on the publisher may behave differently from what subscription's
       <link linkend="sql-createsubscription-params-with-failover"><literal>failover</literal></link>
-      parameter value of the subscription. Otherwise, the slot on the
-      publisher may behave differently from what subscription's
-      <link linkend="sql-createsubscription-params-with-failover"><literal>failover</literal></link>
-      option says. The slot on the publisher could either be
+      and <link linkend="sql-createsubscription-params-with-two-phase"><literal>two_phase</literal></link>
+      options say: for example, the slot on the publisher could either be
       synced to the standbys even when the subscription's
       <link linkend="sql-createsubscription-params-with-failover"><literal>failover</literal></link>
       option is disabled or could be disabled for sync
-- 
2.34.1

